Uses of Class
de.xima.fc.api.rest.pub.client.form.ApiClientConfig
-
Packages that use ApiClientConfig Package Description de.xima.fc.api.rest.pub.client.form -
-
Uses of ApiClientConfig in de.xima.fc.api.rest.pub.client.form
Methods in de.xima.fc.api.rest.pub.client.form that return ApiClientConfig Modifier and Type Method Description ApiClientConfigApiClient. config()Accesses the configuration that was used to create this client.ApiClientConfigDefaultApiClient. config()Methods in de.xima.fc.api.rest.pub.client.form with parameters of type ApiClientConfig Modifier and Type Method Description javax.ws.rs.client.ClientJaxRsAdapter. buildHttpClient(ApiClientConfig config)javax.ws.rs.client.ClientJaxRsAdapterRestEasy. buildHttpClient(ApiClientConfig config)<T> TJaxRsAdapter. deserialize(javax.ws.rs.core.Response response, javax.ws.rs.core.GenericType<T> returnType, ApiClientConfig config, Formatter formatter)Deserialize response body to Java object according to the content type.<T> TJaxRsAdapterRestEasy. deserialize(javax.ws.rs.core.Response response, javax.ws.rs.core.GenericType<T> returnType, ApiClientConfig config, Formatter formatter)javax.ws.rs.client.Entity<?>JaxRsAdapter. serialize(Object obj, String contentType, ApiClientConfig config, Formatter formatter)Serialize the given Java object into string entity according the given content type.javax.ws.rs.client.Entity<?>JaxRsAdapterRestEasy. serialize(Object obj, String contentType, ApiClientConfig config, Formatter formatter)
-